Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request GET \ --url https://api.rav.chat/v1/agent/runs/{run_id} \ --header 'Authorization: Bearer <token>'
import requestsurl = "https://api.rav.chat/v1/agent/runs/{run_id}"headers = {"Authorization": "Bearer <token>"}response = requests.get(url, headers=headers)print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};fetch('https://api.rav.chat/v1/agent/runs/{run_id}', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
{ "id": "<string>", "object": "agent.run", "sessionId": "<string>", "messageId": "<string>", "output": [ {} ], "error": "<string>", "credits": "<string>", "usage": {} }
A RavChat API key: Authorization: Bearer sk-rav-...
Authorization: Bearer sk-rav-...
Run
"agent.run"
queued
in_progress
completed
failed
cancelled
Ledger-true credits from the charge receipt